/**
far away - a free space shooter game
Copyright (C) 2005  Alexander Clausen, Dirk Rathlev, Stefan Toller

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

class UI{
	private:
		SDL_Surface *menu_icons[MAX_MENU_ICONS];
		SDL_Surface *ui_graphics[MAX_UI_GRAPHICS];
		SDL_Surface *splash_screens[MAX_SPLASH_SCREENS];
		SMenuItem StartMenuItems[NUM_START_MENU_ITEMS];
		// which start menu item is activated atm?
		int nStartact;
		SMenuItem IngameMenuItems[NUM_INGAME_MENU_ITEMS];
		// which ingame menu item is activated atm?
		int nIngameact;

	public:
	// initialize campaign functions
		int UI_init();
		int exit_UI();
		int process_start_menu();
		int process_ingame_menu();
	// render the start menu
		int render_start_menu(SDL_Surface *screen);
		int render_ingame_menu(SDL_Surface * screen);
		int render_ui(SDL_Surface * screen);
		int check_mouse_over(int nItem);
		int show_splashscreen(SDL_Surface * screen, int index);
		

};
